Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/AudioMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/AudioMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/AudioMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
@@ -18,5 +18,5 @@
                 <Property name="Text" value="Master volume               " />
                 <Property name="InheritsAlpha" value="False" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
                 <Property name="VertFormatting" value="TopAligned" />
@@ -45,5 +45,5 @@
                 <Property name="Text" value="Music volume               " />
                 <Property name="InheritsAlpha" value="False" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
                 <Property name="VertFormatting" value="TopAligned" />
@@ -72,5 +72,5 @@
                 <Property name="Text" value="Effects volume               " />
                 <Property name="InheritsAlpha" value="False" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
                 <Property name="VertFormatting" value="TopAligned" />
@@ -99,5 +99,5 @@
                 <Property name="Text" value="Theme" />
                 <Property name="InheritsAlpha" value="False" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
                 <Property name="VertFormatting" value="TopAligned" />
@@ -114,5 +114,5 @@
                 <Property name="TextColours" value="FFFFFFFF" />
                 <Property name="InheritsAlpha" value="False" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
                 <Property name="VertFormatting" value="TopAligned" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/CampaignMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/CampaignMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/CampaignMenu.layout	(revision 11803)
@@ -141,5 +141,5 @@
             <Property name="Visible" value="False" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="VertFormatting" value="TopAligned" />
             <Property name="MaxSize" value="{{2,1},{2,1}}" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/ControlsMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/ControlsMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/ControlsMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/CreditsMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/CreditsMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/CreditsMenu.layout	(revision 11803)
@@ -9,5 +9,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
@@ -16,5 +16,5 @@
                 <Property name="InheritsAlpha" value="False" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="VertFormatting" value="TopAligned" />
                 <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
@@ -33,5 +33,5 @@
                         <Property name="InheritsAlpha" value="False" />
                         <Property name="MaxSize" value="{{1,0},{1,0}}" />
-                        <Property name="HorzFormatting" value="HorzCentred" />
+                        <Property name="HorzFormatting" value="CentreAligned" />
                         <Property name="VertFormatting" value="TopAligned" />
                         <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/GameplayMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/GameplayMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/GameplayMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
@@ -18,5 +18,5 @@
                 <Property name="Text" value="Difficulty" />
                 <Property name="InheritsAlpha" value="False" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
                 <Property name="VertFormatting" value="TopAligned" />
@@ -44,5 +44,5 @@
                 <Property name="Text" value="Theme" />
                 <Property name="InheritsAlpha" value="False" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
                 <Property name="VertFormatting" value="TopAligned" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/GraphicsMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/GraphicsMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/GraphicsMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
@@ -26,5 +26,5 @@
                     <Window name="Resolution" type="MenuWidgets/StaticText">
                         <Property name="Text" value="Resolution" />
-                        <Property name="HorzFormatting" value="HorzCentred" />
+                        <Property name="HorzFormatting" value="CentreAligned" />
                         <Property name="MaxSize" value="{{1,0},{1,0}}" />
                         <Property name="VertFormatting" value="TopAligned" />
@@ -57,5 +57,5 @@
                             <Property name="Text" value="x" />
                             <Property name="FrameEnabled" value="False" />
-                            <Property name="HorzFormatting" value="HorzCentred" />
+                            <Property name="HorzFormatting" value="CentreAligned" />
                             <Property name="MaxSize" value="{{1,0},{1,0}}" />
                             <Property name="Area" value="{{0.45,0},{0.45,0},{0.55,0},{0.57,0}}" />
@@ -84,5 +84,5 @@
                     <Window name="Theme" type="MenuWidgets/StaticText">
                         <Property name="Text" value="Theme" />
-                        <Property name="HorzFormatting" value="HorzCentred" />
+                        <Property name="HorzFormatting" value="CentreAligned" />
                         <Property name="MaxSize" value="{{1,0},{1,0}}" />
                         <Property name="VertFormatting" value="TopAligned" />
@@ -122,5 +122,5 @@
                         <Property name="Text">Changing the theme, FSAA,
 or VSync requires a restart</Property>
-                        <Property name="HorzFormatting" value="HorzCentred" />
+                        <Property name="HorzFormatting" value="CentreAligned" />
                         <Property name="MaxSize" value="{{1,0},{1,0}}" />
                         <Property name="Area" value="{{0.5125,0},{0.75,0},{0.975,0},{0.96,0}}" />
@@ -130,5 +130,5 @@
                         <Property name="Text">Restart required</Property>
                         <Property name="TextColours" value="tl:FFFF0000 tr:FFFF8888 bl:FFFF8888 br:FFFFFFFF" />
-                        <Property name="HorzFormatting" value="HorzCentred" />
+                        <Property name="HorzFormatting" value="CentreAligned" />
                         <Property name="MaxSize" value="{{1,0},{1,0}}" />
                         <Property name="Area" value="{{0.5125,0},{0.75,0},{0.975,0},{0.96,0}}" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/HostMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/HostMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/HostMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/KeyBindMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/KeyBindMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/KeyBindMenu.layout	(revision 11803)
@@ -9,5 +9,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
@@ -17,5 +17,5 @@
                 <Property name="InheritsAlpha" value="False" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="VertFormatting" value="TopAligned" />
                 <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MiscConfigMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MiscConfigMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MiscConfigMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
@@ -19,5 +19,5 @@
                 <Property name="InheritsAlpha" value="False" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="VertFormatting" value="TopAligned" />
                 <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MouseControlsMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MouseControlsMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MouseControlsMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
@@ -18,5 +18,5 @@
                 <Property name="Text" value="Sensitivity (normal mode)                                      " />
                 <Property name="InheritsAlpha" value="False" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
                 <Property name="VertFormatting" value="TopAligned" />
@@ -45,5 +45,5 @@
                 <Property name="Text" value="Sensitivity (derive mode)                                      " />
                 <Property name="InheritsAlpha" value="False" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
                 <Property name="VertFormatting" value="TopAligned" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MultiplayerMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MultiplayerMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MultiplayerMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MultiplayerOptionsMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MultiplayerOptionsMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MultiplayerOptionsMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SettingsMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SettingsMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SettingsMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/ShipSelectionMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/ShipSelectionMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/ShipSelectionMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SingleplayerConfigMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SingleplayerConfigMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SingleplayerConfigMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
@@ -19,5 +19,5 @@
                 <Property name="InheritsAlpha" value="False" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="VertFormatting" value="TopAligned" />
                 <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SingleplayerMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SingleplayerMenu.layout	(revision 11802)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SingleplayerMenu.layout	(revision 11803)
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />