Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/InGamePickupHUD.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/InGamePickupHUD.layout	(revision 11806)
+++ 	(revision )
@@ -1,36 +1,0 @@
-<?xml version='1.0' encoding='utf-8'?>
-<GUILayout version="4">
-    <Window name="InGamePickupHUD_RootWindow" type="DefaultWindow">
-        <Property name="InheritsAlpha" value="False" />
-        <Property name="MaxSize" value="{{1,0},{1,0}}" />
-        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window name="InGamePickupHUD_Overview" type="TaharezLook/StaticImage">
-            <Property name="Font" value="BlueHighway-12" />
-            <Property name="Text" value="Pickup List" />
-            <Property name="MaxSize" value="{{1,0},{1,0}}" />
-            <Property name="Area" value="{{0,5},{0.15,0},{0.2,0},{0.45,0}}" />
-            <Property name="Alpha" value="0.3" />
-            <Window name="InGamePickupHUD_PickupTitle" type="TaharezLook/StaticText">
-                <Property name="Alpha" value="0.8" />
-                <Property name="Text" value="Pickup List" />
-                <Property name="Font" value="BlueHighway-10" />
-                <Property name="MaxSize" value="{{1,0},{1,0}}" />
-                <Property name="Area" value="{{0,0},{0,0},{1,-20},{0,20}}" />
-            </Window>
-            <Window name="InGamePickupHUD_closeButton" type="TaharezLook/Button">
-                <Property name="Alpha" value="0.8" />
-                <Property name="Font" value="BlueHighway-12" />
-                <Property name="Text" value="X" />
-                <Property name="MaxSize" value="{{1,0},{1,0}}" />
-                <Property name="Area" value="{{1,-20},{0,0},{1,0},{0,20}}" />
-                <Event function="InGamePickupHUD.close_button_clicked" name="Clicked" />
-            </Window>
-            <Window name="InGamePickupHUD_PickupListBox" type="TaharezLook/Listbox">
-                <Property name="Alpha" value="0.8" />
-                <Property name="Font" value="BlueHighway-12" />
-                <Property name="MaxSize" value="{{1,0},{1,0}}" />
-                <Property name="Area" value="{{0,5},{0,25},{1,-5},{1,-5}}" />
-            </Window>
-        </Window>
-    </Window>
-</GUILayout>
Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/InGameTest.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/InGameTest.layout	(revision 11806)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<?xml version='1.0' encoding='utf-8'?>
-<GUILayout version="4">
-    <Window name="TestWindow" type="DefaultGUISheet">
-        <Property name="Size" value="{{1.0,0},{1.0,0}}" />
-        <Window name="TestButton" type="MenuWidgets/Button">
-            <Property name="Position" value="{{0.11,0},{0.528,0}}" />
-            <Property name="Size" value="{{0.15,0},{0.05,0}}" />
-            <Property name="Text" value="NoFunction" />
-        </Window>
-    </Window>
-</GUILayout>
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/GameplayMenu.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/GameplayMenu.lua	(revision 11806)
+++ code/branches/cegui0.8_ogre1.9/data/gui/scripts/GameplayMenu.lua	(revision 11807)
@@ -4,5 +4,5 @@
 
 function P.onLoad()
-    dropdown = winMgr:getWindow("orxonox/ThemeCombobox")
+    dropdown = P.window:getChild("GameplayWindow/Theme/ThemeCombobox")
     local themeList = {}
     table.insert(themeList, "Theme 1")
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/InGamePickupHUD.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/InGamePickupHUD.lua	(revision 11806)
+++ 	(revision )
@@ -1,33 +1,0 @@
--- InGamePickupHUD.lua
-
-BasicGUI = require("BasicGUI")
-local P = BasicGUI:new() --inherit everything from the gui package
-if _REQUIREDNAME == nil then
-    InGamePickupHUD = P
-else
-    _G[_REQUIREDNAME] = P
-end
-
-P.filename = "InGamePickupHUD"
-P.layoutString = "InGamePickupHUD.layout"
-
-function P:init()
-end
-
-
--- events for ingamemenu
-
-
-function P.button_Pickup_clicked(e)
-    orxonox.Game:getInstance():popState()
-    orxonox.Game:getInstance():popState()
-    orxonox.Game:getInstance():requestState("mainmenu")
-    hideGUI("InGameMenu")
-end
-
-function P.close_button_clicked()
-    hideGUI("InGamePickupHUD")
-end
-
-return P
-
Index: code/branches/cegui0.8_ogre1.9/data/gui/scripts/TestDialogButttons.lua
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/scripts/TestDialogButttons.lua	(revision 11806)
+++ 	(revision )
@@ -1,30 +1,0 @@
-local P = createMenuSheet("dialogue")
-
-function P.onLoad()
-    --buttons are arranged in a 2x1 Matrix (list)
-    P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/QuickGameTestButton"),
-            ["callback"]  = P.QuickGameTestButton_clicked
-    })
-
-    P:setButton(2, 1, {
-            ["button"] = winMgr:getWindow("orxonox/SingleplayerButton"),
-            ["callback"]  = P.SingleplayerButton_clicked
-    })
-
-end
-
--- events for options
-function P.QuickGameTestButton_clicked(e)
-    hideAllMenuSheets()
-    orxonox.execute("startGame")
-end
-
-function P.SingleplayerButton_clicked(e)
-    showMenuSheet("SingleplayerMenu", true)
-end
-
-
-
-return P
-