Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc	(revision 11836)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc	(revision 11837)
@@ -28,11 +28,11 @@
 
 /**
-    @file DodgeRace.cc
-    @brief Implementation of the DodgeRace class.
+    @file OrxyRoad.cc
+    @brief Implementation of the OrxyRoad class.
 */
 
-#include "DodgeRace.h"
-#include "DodgeRaceShip.h" // Necessary for getPlayer function. Do NOT include this in Header!
-#include "DodgeRaceCube.h"
+#include "OrxyRoad.h"
+#include "OrxyRoadShip.h" // Necessary for getPlayer function. Do NOT include this in Header!
+#include "OrxyRoadCube.h"
 #include "core/CoreIncludes.h"
 #include "Highscore.h"
@@ -41,9 +41,9 @@
 namespace orxonox
 {
-    RegisterUnloadableClass(DodgeRace);
-
-    DodgeRace::DodgeRace(Context* context) : Deathmatch(context)
-    {
-        RegisterObject(DodgeRace);
+    RegisterUnloadableClass(OrxyRoad);
+
+    OrxyRoad::OrxyRoad(Context* context) : Deathmatch(context)
+    {
+        RegisterObject(OrxyRoad);
 
         bEndGame = false;
@@ -58,13 +58,13 @@
         lastPosition = 0;
         // spawn enemy every 3.5 seconds
-        //enemySpawnTimer.setTimer(3.5f, true, createExecutor(createFunctor(&DodgeRace::spawnEnemy, this)));
-        comboTimer.setTimer(3.0f, true, createExecutor(createFunctor(&DodgeRace::comboControll, this)));
+        //enemySpawnTimer.setTimer(3.5f, true, createExecutor(createFunctor(&OrxyRoad::spawnEnemy, this)));
+        comboTimer.setTimer(3.0f, true, createExecutor(createFunctor(&OrxyRoad::comboControll, this)));
         this->numberOfBots_ = 0; //sets number of default bots temporarly to 0
         this->center_ = nullptr;
 
-        this->setHUDTemplate("DodgeRaceHUD");
-    }
-
-    void DodgeRace::levelUp()
+        this->setHUDTemplate("OrxyRoadHUD");
+    }
+
+    void OrxyRoad::levelUp()
     {
         level++;
@@ -86,10 +86,10 @@
         multiplier *= 2;
         toggleShowLevel();
-        showLevelTimer.setTimer(1.0f, false, createExecutor(createFunctor(&DodgeRace::toggleShowLevel, this)));
-    }
-
-    void DodgeRace::tick(float dt)
-    {
-        DodgeRaceShip* player = this->getPlayer();
+        showLevelTimer.setTimer(1.0f, false, createExecutor(createFunctor(&OrxyRoad::toggleShowLevel, this)));
+    }
+
+    void OrxyRoad::tick(float dt)
+    {
+        OrxyRoadShip* player = this->getPlayer();
         if (player != nullptr)
         {
@@ -114,11 +114,11 @@
                 for(int i = 0; i<6; i++)
                 {
-                    DodgeRaceCube* cube = new DodgeRaceCube(this->center_->getContext());
+                    OrxyRoadCube* cube = new OrxyRoadCube(this->center_->getContext());
                     cubeList.push_back(cube);
                     switch(pattern)
                     {
-                    case 1: cube->addTemplate("DodgeRaceCube01");
+                    case 1: cube->addTemplate("OrxyRoadCube01");
                     break;
-                    case 2: cube->addTemplate("DodgeRaceCube02");
+                    case 2: cube->addTemplate("OrxyRoadCube02");
                     break;
 
@@ -136,10 +136,10 @@
 
         }
-        SUPER(DodgeRace, tick, dt);
-    }
-
-    DodgeRaceShip* DodgeRace::getPlayer()
-    {
-        for (DodgeRaceShip* ship : ObjectList<DodgeRaceShip>())
+        SUPER(OrxyRoad, tick, dt);
+    }
+
+    OrxyRoadShip* OrxyRoad::getPlayer()
+    {
+        for (OrxyRoadShip* ship : ObjectList<OrxyRoadShip>())
         {
             return ship;
@@ -148,11 +148,11 @@
     }
 
-    void DodgeRace::costLife()
-    {
-        //endGameTimer.setTimer(8.0f, false, createExecutor(createFunctor(&DodgeRace::end, this)));
+    void OrxyRoad::costLife()
+    {
+        //endGameTimer.setTimer(8.0f, false, createExecutor(createFunctor(&OrxyRoad::end, this)));
         lives = 0;
     };
 
-    void DodgeRace::comboControll()
+    void OrxyRoad::comboControll()
     {
         if (b_combo)
@@ -164,5 +164,5 @@
     }
 
-    void DodgeRace::start()
+    void OrxyRoad::start()
     {
         orxout() << "start" << endl;
@@ -179,5 +179,5 @@
         if (this->center_ == nullptr)  // abandon mission!
         {
-            orxout(internal_error) << "DodgeRace: No Centerpoint specified." << endl;
+            orxout(internal_error) << "OrxyRoad: No Centerpoint specified." << endl;
             GSLevel::startMainMenu();
             return;
@@ -187,5 +187,5 @@
     }
 
-    void DodgeRace::playerPreSpawn(PlayerInfo* player)
+    void OrxyRoad::playerPreSpawn(PlayerInfo* player)
     {
         this->playerInfo_ = player;
@@ -210,5 +210,5 @@
     }
 
-    void DodgeRace::addPoints(int numPoints)
+    void OrxyRoad::addPoints(int numPoints)
     {
         if (!bEndGame)
@@ -219,5 +219,5 @@
     }
 
-    void DodgeRace::end()
+    void OrxyRoad::end()
     {
         // DON'T CALL THIS!