Index: code/branches/RacingBots_FS18/data/levels/presentationHS12.oxw
===================================================================
--- code/branches/RacingBots_FS18/data/levels/presentationHS12.oxw	(revision 11839)
+++ code/branches/RacingBots_FS18/data/levels/presentationHS12.oxw	(revision 11840)
@@ -61,5 +61,5 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-900,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    <SpawnPoint team=0 position="-900,0,0" lookat="0,0,0" primaryThrust=1000 spawnclass=SpaceShip pawndesign=spaceshipescort />
     <!--SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=bigship /-->
     <!--SpawnPoint team=0 position="-900,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage /-->
@@ -328,8 +328,8 @@
         roll                = "180"
         name                = "collateralDamage"
-        radarname           = "Collateral Damage" >
-        <!--
+        radarname           = "Collateral Damage" 
         pitch               = "90"
-        yaw                 = "0"-->
+        yaw                 = "100"
+        primaryThrust       = "2000">
       <attached>
         <DockingTarget name="spaceShip" />
Index: code/branches/RacingBots_FS18/data/levels/templates/spaceshipCollateralDamage.oxt
===================================================================
--- code/branches/RacingBots_FS18/data/levels/templates/spaceshipCollateralDamage.oxt	(revision 11839)
+++ code/branches/RacingBots_FS18/data/levels/templates/spaceshipCollateralDamage.oxt	(revision 11840)
@@ -19,5 +19,5 @@
    shieldrechargewaittime = 1
 
-   primaryThrust     = 100
+   primaryThrust     = 1000
    auxilaryThrust    = 30
    rotationThrust    = 50
@@ -29,5 +29,5 @@
    boostPowerRate        = 1
    boostRate             = 5
-   boostCooldownDuration = 10
+   boostCooldownDuration = 1
 
    shakeFrequency = 15
@@ -36,5 +36,5 @@
    collisionType     = "dynamic"
    mass              = 100
-   linearDamping     = 0.7
+   linearDamping     = 0.5
    angularDamping    = 0.9999999
   >
Index: code/branches/RacingBots_FS18/src/libraries/tools/Timer.cc
===================================================================
--- code/branches/RacingBots_FS18/src/libraries/tools/Timer.cc	(revision 11839)
+++ code/branches/RacingBots_FS18/src/libraries/tools/Timer.cc	(revision 11840)
@@ -199,4 +199,13 @@
         executor->getFunctor()->setSafeMode(true);
     }
+
+    /*void Timer::setTimer(float interval, bool bKillAfterCall)
+    {
+         this->setInterval(interval);
+         this->bActive_ = true;
+         this->time_ = this->interval_;
+        this->bKillAfterCall_ = bKillAfterCall;
+    }
+    */
 
     /**
Index: code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.cc
===================================================================
--- code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.cc	(revision 11839)
+++ code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.cc	(revision 11840)
@@ -71,5 +71,4 @@
 #include <vector>
 
-
 namespace orxonox
 {
@@ -138,13 +137,16 @@
         }
 
+
         std::string message("Use headphones to hear the countdown!");
         this->getGametypeInfo()->sendAnnounceMessage(message);
         ChatManager::message(message);
+
+
 
         //after 11 seconds , countdownFinished function is called to activate bots` engines
         Timer* countdownTimer = new Timer();
         countdownTimer->setTimer(11, false, createExecutor(createFunctor(&SpaceRace::countdownFinished, this)));
-    }
-
+        
+    }
 
 
Index: code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.h
===================================================================
--- code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.h	(revision 11839)
+++ code/branches/RacingBots_FS18/src/modules/gametypes/SpaceRace.h	(revision 11840)
@@ -60,4 +60,5 @@
             virtual void end() override;
             virtual void countdownFinished();
+            
             virtual void addBots(unsigned int amount) override; //<! overwrite function in order to bypass the addbots command.
 
Index: code/branches/RacingBots_FS18/src/orxonox/items/Engine.cc
===================================================================
--- code/branches/RacingBots_FS18/src/orxonox/items/Engine.cc	(revision 11839)
+++ code/branches/RacingBots_FS18/src/orxonox/items/Engine.cc	(revision 11840)
@@ -54,5 +54,5 @@
         this->relativePosition_ = Vector3::ZERO;
 
-        this->boostFactor_ = 1.5f;
+        this->boostFactor_ = 1.2f;
 
         this->maxSpeedFront_ = 0.0f;
@@ -61,5 +61,5 @@
         this->maxSpeedUpDown_ = 0.0f;
 
-        this->accelerationFront_ = 0.0f;
+        this->accelerationFront_ = 1.0f;
         this->accelerationBrake_ = 0.0f;
         this->accelerationBack_ = 0.0f;
@@ -68,5 +68,5 @@
 
         this->speedAdd_ = 0.0f;
-        this->speedMultiply_ = 1.0f;
+        this->speedMultiply_ = 1.8f;                       //////////////////////////////////////////
 
         this->setConfigValues();
Index: code/branches/RacingBots_FS18/src/orxonox/worldentities/pawns/SpaceShip.h
===================================================================
--- code/branches/RacingBots_FS18/src/orxonox/worldentities/pawns/SpaceShip.h	(revision 11839)
+++ code/branches/RacingBots_FS18/src/orxonox/worldentities/pawns/SpaceShip.h	(revision 11840)
@@ -103,5 +103,5 @@
             */
             virtual void moveFrontBack(const Vector2& value)
-                { this->steering_.z -= value.x; }
+                { this->steering_.z -= (0.8)*value.x; }
             /**
             @brief Move right or left.
@@ -109,5 +109,5 @@
             */
             virtual void moveRightLeft(const Vector2& value)
-                { this->steering_.x += value.x; }
+                { this->steering_.x += (0.6)*value.x; }
             /**
             @brief Move up or down.
@@ -115,5 +115,5 @@
             */
             virtual void moveUpDown(const Vector2& value)
-                { this->steering_.y += value.x; }
+                { this->steering_.y += (0.6)*value.x; }
 
             virtual void rotateYaw(const Vector2& value); // Rotate in yaw direction.