Index: /code/branches/Masterserver_FS18/src/libraries/network/Client.h
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/Client.h	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/Client.h	(revision 11842)
@@ -90,5 +90,5 @@
   private:
     Client(const Client& copy); // not used
-    virtual bool isServer_() override{return false;}
+    virtual bool isServer_() override { return false; }
     virtual void processPacket(packet::Packet* packet) override;
 
Index: /code/branches/Masterserver_FS18/src/libraries/network/ClientConnection.h
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/ClientConnection.h	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/ClientConnection.h	(revision 11842)
@@ -36,5 +36,5 @@
 {
 
-  class _NetworkExport ClientConnection: public Connection{
+  class _NetworkExport ClientConnection: public Connection {
   public:
     ClientConnection();
Index: /code/branches/Masterserver_FS18/src/libraries/network/ClientConnectionListener.cc
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/ClientConnectionListener.cc	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/ClientConnectionListener.cc	(revision 11842)
@@ -31,5 +31,4 @@
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-// #include "ClientInformation.h"
 
 namespace orxonox
@@ -37,4 +36,8 @@
     RegisterAbstractClass(ClientConnectionListener).inheritsFrom<Listable>();
 
+    /**
+     * Constructor
+     * Register the object
+     */
     ClientConnectionListener::ClientConnectionListener()
     {
@@ -42,4 +45,8 @@
     }
 
+    /**
+     * Call clientConnected() on all ClientConnectionListeners.
+     * @param clientID The ID of the newly connected client
+     */
     void ClientConnectionListener::broadcastClientConnected(unsigned int clientID)
     {
@@ -48,4 +55,8 @@
     }
 
+    /**
+     * Call clientDisconnected() on all ClientConnectionListeners.
+     * @param clientID The ID of the newly disconnected client
+     */
     void ClientConnectionListener::broadcastClientDisconnected(unsigned int clientID)
     {
@@ -53,14 +64,4 @@
             listener->clientDisconnected(clientID);
     }
-
-//     void ClientConnectionListener::getConnectedClients()
-//     {
-//         ClientInformation* client = ClientInformation::getBegin();
-//         while (client)
-//         {
-//             this->clientConnected(client->getID());
-//             client = client->next();
-//         }
-//     }
 }
 
Index: /code/branches/Masterserver_FS18/src/libraries/network/ClientConnectionListener.h
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/ClientConnectionListener.h	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/ClientConnectionListener.h	(revision 11842)
@@ -35,4 +35,7 @@
 namespace orxonox
 {
+    /**
+     * An abstract base class. Derived classes must implement clientConnected() and clientDisconnected().
+     */
     class _NetworkExport ClientConnectionListener : virtual public Listable
     {
@@ -46,7 +49,4 @@
             virtual void clientConnected(unsigned int clientID) = 0;
             virtual void clientDisconnected(unsigned int clientID) = 0;
-
-        protected:
-//             void getConnectedClients();
     };
 }
Index: /code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.cc
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.cc	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.cc	(revision 11842)
@@ -42,24 +42,35 @@
 void FunctionCallManager::addCall(uint32_t functionID, uint32_t objectID, uint32_t peerID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5)
 {
-  if(sPeerMap_.find(peerID)==sPeerMap_.end())
+  // If the peerID doesn't exist yet in the map...
+  if(sPeerMap_.find(peerID) == sPeerMap_.end())
   {
+    // ... add a new FunctionCalls packet for the peer
     FunctionCallManager::sPeerMap_[peerID] = new packet::FunctionCalls;
     FunctionCallManager::sPeerMap_[peerID]->setPeerID(peerID);
   }
+
+  // Add a new function call to the peer
   FunctionCallManager::sPeerMap_[peerID]->addCall(functionID, objectID, mt1, mt2, mt3, mt4, mt5);
 }
 
-// Send calls
-
+/**
+ * Send all function calls in sPeerMap_ to a given host, then clear sPeerMap_
+ * @param host The host to send the function calls to
+ */
 void FunctionCallManager::sendCalls(orxonox::Host* host)
 {
   for (const auto& mapEntry : FunctionCallManager::sPeerMap_ )
   {
+    // TODO: This seems rather pointless, as it wouldn't be called anyways if the map was empty.
     assert(!FunctionCallManager::sPeerMap_.empty());
     mapEntry.second->send(host);
   }
+  // TODO: Why is the map cleared here?
   FunctionCallManager::sPeerMap_.clear();
 }
 
+/**
+ * Place an incoming function call in the queue for processing.
+ */
 void FunctionCallManager::bufferIncomingFunctionCall(const orxonox::FunctionCall& fctCall, uint32_t minGamestateID, uint32_t peerID)
 {
@@ -67,8 +78,11 @@
 }
 
+/**
+ * Process queue of incoming function calls.
+ */
 void FunctionCallManager::processBufferedFunctionCalls()
 {
   std::vector<std::pair<FunctionCall, std::pair<uint32_t, uint32_t>>>::iterator it = FunctionCallManager::sIncomingFunctionCallBuffer_.begin();
-  while( it!=FunctionCallManager::sIncomingFunctionCallBuffer_.end() )
+  while( it != FunctionCallManager::sIncomingFunctionCallBuffer_.end() )
   {
     OrxAssert( Host::getActiveInstance(), "No Host class existing" );
Index: /code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.h
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.h	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.h	(revision 11842)
@@ -53,6 +53,12 @@
   static void processBufferedFunctionCalls();
 
+  // Maps peer IDs to function calls
   static std::map<uint32_t, packet::FunctionCalls*>                           sPeerMap_;
+
+  // TODO: What's up with the pair within the pair?
+  // Vector of pairs
+  // The pair consists of the FunctionCall and another pair, which...
   static std::vector<std::pair<FunctionCall,std::pair<uint32_t, uint32_t>>> sIncomingFunctionCallBuffer_;
+
 protected:
   FunctionCallManager();
Index: /code/branches/Masterserver_FS18/src/libraries/network/GamestateHandler.cc
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/GamestateHandler.cc	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/GamestateHandler.cc	(revision 11842)
@@ -32,6 +32,4 @@
 namespace orxonox {
 
-// GamestateHandler *GamestateHandler::instance_=nullptr;
-
 GamestateHandler::GamestateHandler()
 {
Index: /code/branches/Masterserver_FS18/src/libraries/network/GamestateHandler.h
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/GamestateHandler.h	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/GamestateHandler.h	(revision 11842)
@@ -37,5 +37,6 @@
 
 /**
-    @author Oliver Scheuss
+ * An interface for any class that wants to handle gamestates.
+ * @author Oliver Scheuss
 */
 class _NetworkExport GamestateHandler
@@ -51,6 +52,6 @@
     virtual bool      addGamestate(packet::Gamestate* gs, unsigned int clientID) = 0;
     virtual bool      ackGamestate(unsigned int gamestateID, unsigned int clientID) = 0;
-    virtual uint32_t  getLastReceivedGamestateID( unsigned int clientID )=0;
-    virtual uint32_t  getCurrentGamestateID()=0;
+    virtual uint32_t  getLastReceivedGamestateID( unsigned int clientID ) = 0;
+    virtual uint32_t  getCurrentGamestateID() = 0;
 };
 
Index: /code/branches/Masterserver_FS18/src/libraries/network/GamestateManager.h
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/GamestateManager.h	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/GamestateManager.h	(revision 11842)
@@ -58,4 +58,7 @@
   * - writing gamestates to universe
   * - diffing gamestates
+  *
+  * Inherited by Host
+  *
   * EN/DECODATION:
   * a: last Gamestate a client has received
@@ -86,5 +89,5 @@
     virtual bool      ackGamestate(unsigned int gamestateID, unsigned int peerID) override;
     virtual uint32_t  getLastReceivedGamestateID( unsigned int peerID ) override;
-    virtual uint32_t  getCurrentGamestateID() override { if(currentGamestate) return currentGamestate_->getID(); else return GAMESTATEID_INITIAL; }
+    virtual uint32_t  getCurrentGamestateID() override { if(currentGamestate_) return currentGamestate_->getID(); else return GAMESTATEID_INITIAL; }
 
     bool processGamestates();
Index: /code/branches/Masterserver_FS18/src/libraries/network/MasterServer.cc
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/MasterServer.cc	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/MasterServer.cc	(revision 11842)
@@ -357,5 +357,7 @@
 
         /* incoming data */
-      case ENET_EVENT_TYPE_RECEIVE: eventData( event ); break;
+      case ENET_EVENT_TYPE_RECEIVE:
+        eventData( event ); break;
+        
       default: break;
     }
Index: /code/branches/Masterserver_FS18/src/libraries/network/packet/Acknowledgement.cc
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/packet/Acknowledgement.cc	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/packet/Acknowledgement.cc	(revision 11842)
@@ -37,15 +37,23 @@
 
 #define PACKET_FLAGS_ACK    0
+// Offset to start of packet ID
 #define _PACKETID           0
+// Offset to start of ACK ID
 #define _ACKID              _PACKETID + sizeof(packet::Type)
 
+/**
+ * Constructor
+ * Acknowledgement.data_ is 40 bits in size:
+ * [0, 7]:   Packet Type
+ * [8, 39]:  Acknowledgement ID
+ */
 Acknowledgement::Acknowledgement( unsigned int id, unsigned int peerID )
  : Packet()
 {
-  flags_ = flags_ | PACKET_FLAGS_ACK;
-  data_=new uint8_t[ getSize() ];
-  *(Type *)(data_ + _PACKETID ) = Type::Acknowledgement;
-  *(uint32_t *)(data_ + _ACKID ) = id;
-  peerID_=peerID;
+  this->flags_ |= PACKET_FLAGS_ACK;
+  this->data_ = new uint8_t[ this->getSize() ];
+  *(Type *)(this->data_ + _PACKETID) = Type::Acknowledgement;
+  *(uint32_t *)(this->data_ + _ACKID) = id;
+  this->peerID_ = peerID;
 }
 
@@ -59,9 +67,9 @@
 }
 
-unsigned int Acknowledgement::getSize() const{
+unsigned int Acknowledgement::getSize() const {
   return _ACKID + sizeof(uint32_t);
 }
 
-bool Acknowledgement::process(orxonox::Host* host){
+bool Acknowledgement::process(orxonox::Host* host) {
   orxout(verbose_more, context::packets) << "processing ACK with ID: " << getAckID() << endl;
   bool b = host->ackGamestate(getAckID(), peerID_);
@@ -70,5 +78,5 @@
 }
 
-unsigned int Acknowledgement::getAckID(){
+unsigned int Acknowledgement::getAckID() {
   return *(uint32_t *)(data_ + _ACKID);
 }
Index: /code/branches/Masterserver_FS18/src/libraries/network/packet/Acknowledgement.h
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/packet/Acknowledgement.h	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/packet/Acknowledgement.h	(revision 11842)
@@ -34,9 +34,9 @@
 
 namespace orxonox {
+	
 const unsigned int ACKID_NACK = 0;
+
 namespace packet {
-/**
-    @author
-*/
+
 class _NetworkExport Acknowledgement : public Packet
 {
Index: /code/branches/Masterserver_FS18/src/libraries/network/packet/Chat.cc
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/packet/Chat.cc	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/packet/Chat.cc	(revision 11842)
@@ -38,5 +38,5 @@
 #define   PACKET_FLAGS_CHAT PacketFlag::Reliable
 
-/* Some lengths */
+/* Some lengths / offsets */
 #define _PACKETID         0
 #define _SOURCEID         _PACKETID + sizeof(Type)
@@ -49,21 +49,21 @@
 {
   /* Add chat flag to packet flags */
-  flags_ = flags_ | PACKET_FLAGS_CHAT;
+  this->flags_ |= PACKET_FLAGS_CHAT;
 
   /* set message length to length of input string + 1 */
-  messageLength_ = message.length()+1;
+  this->messageLength_ = message.length() + 1;
 
   /* allocate memory for the data */
-  data_=new unsigned char[ getSize() ];
+  this->data_ = new unsigned char[ getSize() ];
 
   *(Type *)(data_ + _PACKETID ) = Type::Chat;
   *(unsigned int *)(data_ + _SOURCEID ) = sourceID;
   *(unsigned int *)(data_ + _TARGETID ) = targetID;
-  *(unsigned int *)(data_ + _MESSAGELENGTH ) = messageLength_;
+  *(unsigned int *)(data_ + _MESSAGELENGTH ) = this->messageLength_;
 
   /* cast the hell out of the message string, and copy it into the
    * data buffer.
    */
-  memcpy( data_+_MESSAGE, static_cast<void*>(const_cast<char*>(message.c_str())), messageLength_ );
+  memcpy( this->data_ + _MESSAGE, static_cast<void*>(const_cast<char*>(message.c_str())), this->messageLength_ );
 }
 
@@ -71,5 +71,5 @@
   : Packet(data, clientID)
 {
-  messageLength_ = *(uint32_t *)(data + _MESSAGELENGTH );
+  this->messageLength_ = *(uint32_t *)(data + _MESSAGELENGTH );
 }
 
@@ -79,15 +79,17 @@
 
 unsigned int Chat::getSize() const{
-  return _MESSAGE + messageLength_;
+  return _MESSAGE + this->messageLength_;
 }
 
 bool Chat::process(orxonox::Host* host){
-  host->doReceiveChat(std::string((const char*)data_+_MESSAGE), *(uint32_t *)(data_+_SOURCEID), *(uint32_t *)(data_+_TARGETID));
+  host->doReceiveChat(std::string((const char*)this->data_ + _MESSAGE),
+                                  *(uint32_t *)(this->data_+_SOURCEID),
+                                  *(uint32_t *)(this->data_+_TARGETID));
   delete this;
   return true;
 }
 
-unsigned char *Chat::getMessage(){
-  return data_ + _MESSAGE;
+unsigned char *Chat::getMessage() {
+  return this->data_ + _MESSAGE;
 }
 
Index: /code/branches/Masterserver_FS18/src/libraries/network/packet/Chat.h
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/packet/Chat.h	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/packet/Chat.h	(revision 11842)
@@ -55,5 +55,5 @@
 
   /* Get the length of the message (not the full size of the packet) */
-  unsigned int getMessageLength(){ return messageLength_; };
+  unsigned int getMessageLength() { return this->messageLength_; };
 
   /* return message content */
Index: /code/branches/Masterserver_FS18/src/libraries/network/packet/ClassID.cc
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/packet/ClassID.cc	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/packet/ClassID.cc	(revision 11842)
@@ -46,14 +46,14 @@
 
 
-ClassID::ClassID( ) : Packet(){
+ClassID::ClassID() : Packet() {
   Identifier *id;
-  unsigned int nrOfClasses=0;
-  unsigned int packetSize=2*sizeof(uint32_t); //space for the packetID and for the nrofclasses
+  unsigned int nrOfClasses = 0;
+  unsigned int packetSize = 2 * sizeof(uint32_t); //space for the packetID and for the nrofclasses
   uint32_t network_id;
-  flags_ = flags_ | PACKET_FLAGS_CLASSID;
+  this->flags_ |= PACKET_FLAGS_CLASSID;
   std::queue<std::pair<uint32_t, std::string>> tempQueue;
 
-  //calculate total needed size (for all strings and integers)
-  for(const auto& mapEntry : IdentifierManager::getInstance().getIdentifierByStringMap()){
+  // calculate total needed size (for all strings and integers)
+  for(const auto& mapEntry : IdentifierManager::getInstance().getIdentifierByStringMap()) {
     id = mapEntry.second;
     if(id == nullptr || !id->hasFactory())
@@ -64,30 +64,30 @@
     tempQueue.push( std::pair<unsigned int, std::string>(network_id, classname) );
     ++nrOfClasses;
-    packetSize += (classname.size()+1)+sizeof(network_id)+sizeof(uint32_t);
+    packetSize += (classname.size() + 1) + sizeof(network_id) + sizeof(uint32_t);
   }
 
-  this->data_=new uint8_t[ packetSize ];
+  this->data_ = new uint8_t[ packetSize ];
   //set the appropriate packet id
   assert(this->data_);
   *(Type *)(this->data_ + _PACKETID ) = Type::ClassID;
 
-  uint8_t *temp=data_+sizeof(uint32_t);
+  uint8_t *temp = this->data_ + sizeof(uint32_t);
   // save the number of all classes
-  *(uint32_t*)temp = nrOfClasses;
+  *(uint32_t*) temp = nrOfClasses;
   temp += sizeof(uint32_t);
 
   // now save all classids and classnames
   std::pair<uint32_t, std::string> tempPair;
-  uint32_t tempsize = 2*sizeof(uint32_t); // packetid and nrOfClasses
+  uint32_t tempsize = 2 * sizeof(uint32_t); // packetid and nrOfClasses
   while( !tempQueue.empty() ){
     tempPair = tempQueue.front();
     tempQueue.pop();
-    *(uint32_t*)temp = tempPair.first;
-    *(uint32_t*)(temp+sizeof(uint32_t)) = tempPair.second.size()+1;
-    memcpy(temp+2*sizeof(uint32_t), tempPair.second.c_str(), tempPair.second.size()+1);
-    temp+=2*sizeof(uint32_t)+tempPair.second.size()+1;
-    tempsize+=2*sizeof(uint32_t)+tempPair.second.size()+1;
+    *(uint32_t*) temp = tempPair.first;
+    *(uint32_t*) (temp+sizeof(uint32_t)) = tempPair.second.size() + 1;
+    memcpy(temp + 2 * sizeof(uint32_t), tempPair.second.c_str(), tempPair.second.size() + 1);
+    temp += 2 * sizeof(uint32_t) + tempPair.second.size() + 1;
+    tempsize += 2 * sizeof(uint32_t) + tempPair.second.size() + 1;
   }
-  assert(tempsize==packetSize);
+  assert(tempsize == packetSize);
 
   orxout(verbose_more, context::packets) << "classid packetSize is " << packetSize << endl;
@@ -104,26 +104,26 @@
 }
 
-uint32_t ClassID::getSize() const{
-  uint8_t *temp = data_+sizeof(uint32_t); // packet identification
+uint32_t ClassID::getSize() const {
+  uint8_t *temp = this->data_ + sizeof(uint32_t); // packet identification
   uint32_t totalsize = sizeof(uint32_t); // packet identification
-  uint32_t nrOfClasses = *(uint32_t*)temp;
+  uint32_t nrOfClasses = *(uint32_t*) temp;
   temp += sizeof(uint32_t);
   totalsize += sizeof(uint32_t); // storage size for nr of all classes
 
-  for(unsigned int i=0; i<nrOfClasses; i++){
-    totalsize += 2*sizeof(uint32_t) + *(uint32_t*)(temp + sizeof(uint32_t));
-    temp += 2*sizeof(uint32_t) + *(uint32_t*)(temp + sizeof(uint32_t));
+  for(unsigned int i=0; i < nrOfClasses; i++) {
+    totalsize += 2 * sizeof(uint32_t) + *(uint32_t*) (temp + sizeof(uint32_t));
+    temp += 2 * sizeof(uint32_t) + *(uint32_t*)(temp + sizeof(uint32_t));
   }
   return totalsize;
 }
 
-
-bool ClassID::process(orxonox::Host* host){
+// TODO: This parses the packet and calls ClassByString()
+// However, the resulting Identifier is discarded...
+bool ClassID::process(orxonox::Host* host) {
   int nrOfClasses;
-  uint8_t *temp = data_+sizeof(uint32_t); //skip the packetid
+  uint8_t *temp = this->data_ + sizeof(uint32_t); //skip the packetid
   uint32_t networkID;
   uint32_t stringsize;
   unsigned char *classname;
-
 
   //clear the map of network ids
@@ -134,19 +134,19 @@
   Identifier *id;
   // read the total number of classes
-  nrOfClasses = *(uint32_t*)temp;
+  nrOfClasses = *(uint32_t*) temp;
   temp += sizeof(uint32_t);
 
-  for( int i=0; i<nrOfClasses; i++){
-    networkID = *(uint32_t*)temp;
-    stringsize = *(uint32_t*)(temp+sizeof(uint32_t));
-    classname = temp+2*sizeof(uint32_t);
-    id=ClassByString( std::string((const char*)classname) );
+  for( int i = 0; i < nrOfClasses; i++) {
+    networkID = *(uint32_t*) temp;
+    stringsize = *(uint32_t*) (temp + sizeof(uint32_t));
+    classname = temp + 2 * sizeof(uint32_t);
+    id = ClassByString( std::string((const char*) classname) );
     orxout(internal_info, context::packets) << "processing classid: " << networkID << " name: " << classname << " id: " << id << endl;
-    if(id==nullptr){
+    if(id == nullptr) {
       orxout(user_error, context::packets) << "Received a bad classname" << endl;
       abort();
     }
     id->setNetworkID( networkID );
-    temp += 2*sizeof(uint32_t) + stringsize;
+    temp += 2 * sizeof(uint32_t) + stringsize;
   }
   delete this;
Index: /code/branches/Masterserver_FS18/src/libraries/network/packet/DeleteObjects.cc
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/packet/DeleteObjects.cc	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/packet/DeleteObjects.cc	(revision 11842)
@@ -45,5 +45,5 @@
  : Packet()
 {
-  flags_ = flags_ | PACKET_FLAG_DELETE;
+  this->flags_ |= PACKET_FLAG_DELETE;
 }
 
@@ -60,5 +60,5 @@
 {
   unsigned int number = Synchronisable::getNumberOfDeletedObject();
-  if(number==0)
+  if(number == 0)
     return false;
   orxout(verbose, context::packets) << "sending DeleteObjects: ";
@@ -83,13 +83,13 @@
 {
   assert(data_);
-  return _OBJECTIDS + *(uint32_t*)(data_+_QUANTITY)*sizeof(uint32_t);
+  return _OBJECTIDS + *(uint32_t*) (this->data_ + _QUANTITY) * sizeof(uint32_t);
 }
 
 bool DeleteObjects::process(orxonox::Host* host)
 {
-  for(unsigned int i=0; i<*(unsigned int *)(data_+_QUANTITY); i++)
+  for(unsigned int i = 0; i < *(unsigned int *) (this->data_+_QUANTITY); i++)
   {
     orxout(verbose, context::packets) << "deleting object with id: " << *(uint32_t*)(data_+_OBJECTIDS+i*sizeof(uint32_t)) << endl;
-    Synchronisable::deleteObject( *(uint32_t*)(data_+_OBJECTIDS+i*sizeof(uint32_t)) );
+    Synchronisable::deleteObject( *(uint32_t*)(this->data_ + _OBJECTIDS + i * sizeof(uint32_t)) );
   }
   delete this;
Index: /code/branches/Masterserver_FS18/src/libraries/network/packet/FunctionCalls.cc
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/packet/FunctionCalls.cc	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/packet/FunctionCalls.cc	(revision 11842)
@@ -63,10 +63,10 @@
   assert(isDataENetAllocated());
   
-  uint8_t* temp = data_+sizeof(uint32_t); //skip packetid
-  uint32_t nrOfCalls = *(uint32_t*)temp;
+  uint8_t* temp = data_ + sizeof(uint32_t); //skip packetid
+  uint32_t nrOfCalls = *(uint32_t*) temp;
   temp += sizeof(uint32_t);
-  this->minGamestateID_ = *(uint32_t*)temp;
+  this->minGamestateID_ = *(uint32_t*) temp;
   temp += sizeof(uint32_t);
-  for( unsigned int i = 0; i<nrOfCalls; i++ )
+  for( unsigned int i = 0; i < nrOfCalls; i++ )
   {
     FunctionCall fctCall;
@@ -95,9 +95,9 @@
   this->minGamestateID_ = host->getCurrentGamestateID();
   assert(this->functionCalls_.size());
-  data_=new uint8_t[ currentSize_ ];
-  *(Type *)(data_ + _PACKETID ) = Type::FunctionCalls; // Set the Packet ID
-  *(uint32_t*)(data_+sizeof(uint32_t)) = this->functionCalls_.size(); // set nrOfCalls
-  *(uint32_t*)(data_+2*sizeof(uint32_t)) = this->minGamestateID_; // set minGamestateID_
-  uint8_t* temp = data_+3*sizeof(uint32_t);
+  this->data_ = new uint8_t[ currentSize_ ];
+  *(Type *)(this->data_ + _PACKETID ) = Type::FunctionCalls; // Set the Packet ID
+  *(uint32_t*)(this->data_ + sizeof(uint32_t)) = this->functionCalls_.size(); // set nrOfCalls
+  *(uint32_t*)(this->data_ + 2 * sizeof(uint32_t)) = this->minGamestateID_; // set minGamestateID_
+  uint8_t* temp = this->data_ + 3 * sizeof(uint32_t);
   
   while( this->functionCalls_.size() )
@@ -107,5 +107,5 @@
   }
   
-  assert( temp==data_+currentSize_ );
+  assert( temp == this->data_ + currentSize_ );
   
   Packet::send(host);
Index: /code/branches/Masterserver_FS18/src/libraries/network/packet/Packet.cc
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/packet/Packet.cc	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/packet/Packet.cc	(revision 11842)
@@ -129,6 +129,11 @@
 }
 
+/**
+ * Send the Packet.
+ * @param host The host which sends the packet
+ */
 bool Packet::send(orxonox::Host* host)
 {
+  // Deny sending incoming packets
   if(packetDirection_ != Direction::Outgoing && packetDirection_ != Direction::Bidirectional )
   {
@@ -136,7 +141,9 @@
     return false;
   }
+
   if(!enetPacket_)
   {
-    if(!data_){
+    // Deny sending empty packets
+    if(!data_) {
       assert(0);
       return false;
@@ -152,5 +159,5 @@
       // without having a reference in the packetMap_
       Packet::packetMapMutex_.lock();
-      packetMap_[reinterpret_cast<size_t>(enetPacket_)] = this;
+      Packet::packetMap_[reinterpret_cast<size_t>(enetPacket_)] = this;
       Packet::packetMapMutex_.unlock();
     }
@@ -173,55 +180,47 @@
   }
 #endif
-//  ENetPacket *temp = enetPacket_;
-//  enetPacket_ = nullptr; // otherwise we have a double free because enet already handles the deallocation of the packet
+
+  // Send via reliable or standard channel respectively
   if( this->flags_ & PacketFlag::Reliable )
     host->addPacket( enetPacket_, peerID_, NETWORK_CHANNEL_DEFAULT);
   else
     host->addPacket( enetPacket_, peerID_, NETWORK_CHANNEL_UNRELIABLE);
+
   return true;
 }
 
+/**
+ * Given an ENetPacket, create an Orxonox packet
+ * @param packet The ENetPacket
+ * @param peerID The sender
+ */
 Packet *Packet::createPacket(ENetPacket* packet, uint32_t peerID)
 {
   uint8_t *data = packet->data;
-//   assert(ClientInformation::findClient(&peer->address)->getID() != static_cast<unsigned int>(-2) || !Host::isServer());
-//   unsigned int peerID = ClientInformation::findClient(&peer->address)->getID();
-  // HACK
-//   if( peerID==static_cast<unsigned int>(-2))
-//     peerID = NETWORK_PEER_ID_SERVER;
   Packet *p = nullptr;
-//   orxout(verbose_ultra, context::packets) << "packet type: " << *(Type *)&data[_PACKETID] << endl;
   switch( *(Type *)(data + _PACKETID) )
   {
     case Type::Acknowledgement:
-//       orxout(verbose_more, context::packets) << "ack" << endl;
-    p = new Acknowledgement( data, peerID );
+      p = new Acknowledgement( data, peerID );
       break;
     case Type::Chat:
-//       orxout(verbose_more, context::packets) << "chat" << endl;
       p = new Chat( data, peerID );
       break;
     case Type::ClassID:
-//       orxout(verbose_more, context::packets) << "classid" << endl;
       p = new ClassID( data, peerID );
       break;
     case Type::Gamestate:
-//       orxout(verbose_more, context::packets) << "gamestate" << endl;
       p = new Gamestate( data, peerID );
       break;
     case Type::Welcome:
-//       orxout(verbose_more, context::packets) << "welcome" << endl;
       p = new Welcome( data, peerID );
       break;
     case Type::DeleteObjects:
-//       orxout(verbose_more, context::packets) << "deleteobjects" << endl;
       p = new DeleteObjects( data, peerID );
       break;
     case Type::FunctionCalls:
-//       orxout(verbose_more, context::packets) << "functionCalls" << endl;
       p = new FunctionCalls( data, peerID );
       break;
     case Type::FunctionIDs:
-//       orxout(verbose_more, context::packets) << "functionIDs" << endl;
       p = new FunctionIDs( data, peerID );
       break;
@@ -247,12 +246,14 @@
   // Get our Packet from a global map with all Packets created in the send() method of Packet.
   Packet::packetMapMutex_.lock();
-  std::map<size_t, Packet*>::iterator it = packetMap_.find(reinterpret_cast<size_t>(enetPacket));
+
+  std::map<size_t, Packet*>::iterator it = Packet::packetMap_.find(reinterpret_cast<size_t>(enetPacket));
   assert(it != packetMap_.end());
+
   // Make sure we don't delete it again in the destructor
   it->second->enetPacket_ = nullptr;
   delete it->second;
   packetMap_.erase(it);
+
   Packet::packetMapMutex_.unlock();
-//   orxout(verbose_ultra, context::packets) << "PacketMap size: " << packetMap_.size() << endl;
 }
 
Index: /code/branches/Masterserver_FS18/src/libraries/network/packet/Packet.h
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/packet/Packet.h	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/packet/Packet.h	(revision 11842)
@@ -68,6 +68,9 @@
 
     virtual unsigned char* getData(){ return data_; };
-    virtual unsigned int getSize() const =0;
-    virtual bool process(orxonox::Host* host)=0;
+    virtual unsigned int getSize() const = 0;
+
+    // Invoke some sort of action associated with the packet
+    virtual bool process(orxonox::Host* host) = 0;
+    
     inline uint32_t getFlags()
       { return flags_; }
@@ -82,8 +85,8 @@
 
     virtual bool send(orxonox::Host* host);
+
   protected:
     Packet();
     Packet(uint8_t *data, unsigned int peerID);
-//    Packet(ENetPacket *packet, ENetPeer *peer);
     inline bool isDataENetAllocated() const
       { return bDataENetAllocated_; }
@@ -100,5 +103,7 @@
         data_ might no correlate with enetPacket_->data. */
     bool bDataENetAllocated_;
+
   private:
+    // All Packets are contained in this map
     static std::map<size_t, Packet *> packetMap_;
     static boost::mutex               packetMapMutex_;
Index: /code/branches/Masterserver_FS18/src/libraries/network/packet/ServerInformation.cc
===================================================================
--- /code/branches/Masterserver_FS18/src/libraries/network/packet/ServerInformation.cc	(revision 11841)
+++ /code/branches/Masterserver_FS18/src/libraries/network/packet/ServerInformation.cc	(revision 11842)
@@ -50,6 +50,8 @@
       // Save Server Round Trip Time
       this->serverRTT_ = event->peer->roundTripTime;
+
       // Save Server Address, leave some space for scope ID
       enet_address_get_host_ip(&event->peer->address, serverIP, 64);
+
       this->serverIP_ = std::string(serverIP);
       // Save ACK
@@ -57,9 +59,4 @@
       char* ack = nullptr;
       loadAndIncrease((char*&)ack, temp);
-
-      /* Fabian, what is this used for? it crashes the masterserver, hence commenting it */
-      // written by Oli: this is just to make sure that loadAndIncrease really writes the whole ACK string into char* ack
-//       assert(strcmp(ack, (const char*)LAN_DISCOVERY_ACK)==0);
-
       // Save Server Name
       loadAndIncrease(this->serverName_, temp);
@@ -74,5 +71,5 @@
     void ServerInformation::send(ENetPeer* peer)
     {
-      std::string payload = this->serverName_ + Ogre::StringConverter::toString(this->clientNumber_);
+      std::string payload = this->serverName_ + std::to_string(this->clientNumber_);
       uint32_t size = returnSize(LAN_DISCOVERY_ACK) + returnSize(payload);
       uint8_t* temp = new uint8_t[size];